Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1780822 (python-cypy) - Review Request: python-cypy - Useful utilities for Python
Summary: Review Request: python-cypy - Useful utilities for Python
Keywords:
Status: CLOSED ERRATA
Alias: python-cypy
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aniket Pradhan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2019-12-07 11:11 UTC by Ankur Sinha (FranciscoD)
Modified: 2019-12-18 15:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-18 01:52:34 UTC
Type: ---
Embargoed:
aniketpradhan1999: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2019-12-07 11:11:51 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-cypy/python-cypy.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-cypy/python-cypy-0.2.0-1.fc31.src.rpm

Description: Useful utilities for Python

Fedora Account System Username: ankursinha

Comment 1 Aniket Pradhan 2019-12-07 12:45:50 UTC
The description seems too short (same as the summary), but given that upstream does not have a description, I don't think you can do anything there.

I am not sure how to examine/evaluate these tests. I will set the flag to '+' as soon as these are cleared. :D

[?]: A package which is used by another package via an egg interface should
     provide egg info.

[?]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.8/site-
     packages/cypy(locale,, to, set, C, Failed, defaulting),
     /usr/lib/python3.8/site-packages/cypy/__pycache__(locale,, to, set, C,
     Failed, defaulting), /usr/lib/python3.8/site-packages/cypy/np(locale,,
     to, set, C, Failed, defaulting), /usr/lib/python3.8/site-
     packages/cypy/np/__pycache__(locale,, to, set, C, Failed, defaulting),
     /usr/share/licenses/python3-cypy(locale,, to, set, C, Failed,
     defaulting)

========================================================================
AUTOMATED PACKAGE REVIEW
========================================================================

This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[?]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.8/site-
     packages/cypy(locale,, to, set, C, Failed, defaulting),
     /usr/lib/python3.8/site-packages/cypy/__pycache__(locale,, to, set, C,
     Failed, defaulting), /usr/lib/python3.8/site-packages/cypy/np(locale,,
     to, set, C, Failed, defaulting), /usr/lib/python3.8/site-
     packages/cypy/np/__pycache__(locale,, to, set, C, Failed, defaulting),
     /usr/share/licenses/python3-cypy(locale,, to, set, C, Failed,
     defaulting)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[?]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-cypy-0.2.0-1.fc32.noarch.rpm
          python-cypy-0.2.0-1.fc32.src.rpm
python3-cypy.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
python3-cypy.noarch: W: invalid-url URL: https://pypi.org/pypi/cypy <urlopen error [Errno -2] Name or service not known>
python3-cypy.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Source checksums
----------------
https://raw.githubusercontent.com/cyrus-/cypy/master/LICENSE :
  CHECKSUM(SHA256) this package     : df03b8c8b2fbe3fb9d151637088e0564ab31d745a44d6f15f027903506ad7dd2
  CHECKSUM(SHA256) upstream package : df03b8c8b2fbe3fb9d151637088e0564ab31d745a44d6f15f027903506ad7dd2
https://files.pythonhosted.org/packages/source/c/cypy/cypy-0.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : c83cd4710c1c4765012ef42f7fc0803ad1502d2cadcb50e5e4e6c87c57fc1390
  CHECKSUM(SHA256) upstream package : c83cd4710c1c4765012ef42f7fc0803ad1502d2cadcb50e5e4e6c87c57fc1390


Requires
--------
python3-cypy (rpmlib, GLIBC filtered):
    python(abi)
    python3dist(matplotlib)
    python3dist(numpy)



Provides
--------
python3-cypy:
    python-cypy
    python3-cypy
    python3.8dist(cypy)
    python3dist(cypy)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -b 1780822
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: Python, Shell-api, Generic
Disabled plugins: C/C++, Haskell, PHP, Java, fonts, Ocaml, SugarActivity, Perl, R
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Ankur Sinha (FranciscoD) 2019-12-07 16:02:58 UTC
(In reply to Aniket Pradhan from comment #1)
> The description seems too short (same as the summary), but given that
> upstream does not have a description, I don't think you can do anything
> there.
> 
> I am not sure how to examine/evaluate these tests. I will set the flag to
> '+' as soon as these are cleared. :D
> 
> [?]: A package which is used by another package via an egg interface should
>      provide egg info.

The generated rpms do contain the egg-info, so this looks fine:

$ rpmls ./python3-cypy-0.2.0-1.fc32.noarch.rpm 
drwxr-xr-x  /usr/lib/python3.8/site-packages/cypy
-rw-r--r--  /usr/lib/python3.8/site-packages/cypy-0.2.0-py3.8.egg-info
-rw-r--r--  /usr/lib/python3.8/site-packages/cypy/__init__.py
drwxr-xr-x  /usr/lib/python3.8/site-packages/cypy/__pycache__
-rw-r--r--  /usr/lib/python3.8/site-packages/cypy/__pycache__/__init__.cpython-38.opt-1.pyc
-rw-r--r--  /usr/lib/python3.8/site-packages/cypy/__pycache__/__init__.cpython-38.pyc
-rw-r--r--  /usr/lib/python3.8/site-packages/cypy/__pycache__/astx.cpython-38.opt-1.pyc
-rw-r--r--  /usr/lib/python3.8/site-packages/cypy/__pycache__/astx.cpython-38.pyc
-rw-r--r--  /usr/lib/python3.8/site-packages/cypy/__pycache__/cg.cpython-38.opt-1.pyc
-rw-r--r--  /usr/lib/python3.8/site-packages/cypy/__pycache__/cg.cpython-38.pyc
-rw-r--r--  /usr/lib/python3.8/site-packages/cypy/astx.py
-rw-r--r--  /usr/lib/python3.8/site-packages/cypy/cg.py
drwxr-xr-x  /usr/lib/python3.8/site-packages/cypy/np
-rw-r--r--  /usr/lib/python3.8/site-packages/cypy/np/__init__.py
drwxr-xr-x  /usr/lib/python3.8/site-packages/cypy/np/__pycache__
-rw-r--r--  /usr/lib/python3.8/site-packages/cypy/np/__pycache__/__init__.cpython-38.opt-1.pyc
-rw-r--r--  /usr/lib/python3.8/site-packages/cypy/np/__pycache__/__init__.cpython-38.pyc
-rw-r--r--  /usr/lib/python3.8/site-packages/cypy/np/__pycache__/plotting.cpython-38.opt-1.pyc
-rw-r--r--  /usr/lib/python3.8/site-packages/cypy/np/__pycache__/plotting.cpython-38.pyc
-rw-r--r--  /usr/lib/python3.8/site-packages/cypy/np/plotting.py
drwxr-xr-x  /usr/share/licenses/python3-cypy
-rw-r--r--  /usr/share/licenses/python3-cypy/LICENSE


> 
> [?]: Package does not own files or directories owned by other packages.
>      Note: Dirs in package are owned also by: /usr/lib/python3.8/site-
>      packages/cypy(locale,, to, set, C, Failed, defaulting),
>      /usr/lib/python3.8/site-packages/cypy/__pycache__(locale,, to, set, C,
>      Failed, defaulting), /usr/lib/python3.8/site-packages/cypy/np(locale,,
>      to, set, C, Failed, defaulting), /usr/lib/python3.8/site-
>      packages/cypy/np/__pycache__(locale,, to, set, C, Failed, defaulting),
>      /usr/share/licenses/python3-cypy(locale,, to, set, C, Failed,
>      defaulting)
> 

All these are owned by the package too, so I think that's fine too.

If there's anything else, please let me know. :)

Cheers!

Comment 3 Aniket Pradhan 2019-12-08 13:00:54 UTC
Seems great then. Approved. :D

Comment 4 Gwyn Ciesla 2019-12-09 14:30:50 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-cypy

Comment 5 Fedora Update System 2019-12-09 21:52:59 UTC
FEDORA-2019-a67d907649 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a67d907649

Comment 6 Fedora Update System 2019-12-09 21:53:00 UTC
FEDORA-2019-e924c2ffa1 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e924c2ffa1

Comment 7 Fedora Update System 2019-12-10 18:28:07 UTC
python-cypy-0.2.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e924c2ffa1

Comment 8 Fedora Update System 2019-12-10 18:47:27 UTC
python-cypy-0.2.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a67d907649

Comment 9 Fedora Update System 2019-12-18 01:52:34 UTC
python-cypy-0.2.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-12-18 15:16:47 UTC
python-cypy-0.2.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.